<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.10.20.6.2.6
Name: Study Act
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.10.20.6.2.6-2014-03-24T000000">
   <title>Study Act</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.6
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.6']]
Item: (StudyAct)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.6
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.6']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.6']
Item: (StudyAct)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.6']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.6']"
         id="d121e41362-false-d403927e0">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20161019T092159/tmp-2.16.840.1.113883.10.20.6.2.6-2014-03-24T000000.html"
              test="string(@classCode)=('ACT')">(StudyAct): Der Wert von @classCode MUSS 'ACT' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20161019T092159/tmp-2.16.840.1.113883.10.20.6.2.6-2014-03-24T000000.html"
              test="string(@moodCode)=('EVN')">(StudyAct): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20161019T092159/tmp-2.16.840.1.113883.10.20.6.2.6-2014-03-24T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.6'])&gt;=1">(StudyAct): Element hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.6'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20161019T092159/tmp-2.16.840.1.113883.10.20.6.2.6-2014-03-24T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.6'])&lt;=1">(StudyAct): Element hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.6'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20161019T092159/tmp-2.16.840.1.113883.10.20.6.2.6-2014-03-24T000000.html"
              test="count(hl7:id)&gt;=1">(StudyAct): Element hl7:id ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20161019T092159/tmp-2.16.840.1.113883.10.20.6.2.6-2014-03-24T000000.html"
              test="count(hl7:id)&lt;=1">(StudyAct): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20161019T092159/tmp-2.16.840.1.113883.10.20.6.2.6-2014-03-24T000000.html"
              test="count(hl7:code[(@code='113014' and @codeSystem='1.2.840.10008.2.16.4')][not(@nullFlavor)])&gt;=1">(StudyAct): Element hl7:code[(@code='113014' and @codeSystem='1.2.840.10008.2.16.4')][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20161019T092159/tmp-2.16.840.1.113883.10.20.6.2.6-2014-03-24T000000.html"
              test="count(hl7:code[(@code='113014' and @codeSystem='1.2.840.10008.2.16.4')][not(@nullFlavor)])&lt;=1">(StudyAct): Element hl7:code[(@code='113014' and @codeSystem='1.2.840.10008.2.16.4')][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20161019T092159/tmp-2.16.840.1.113883.10.20.6.2.6-2014-03-24T000000.html"
              test="count(hl7:text)&lt;=1">(StudyAct): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20161019T092159/tmp-2.16.840.1.113883.10.20.6.2.6-2014-03-24T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(StudyAct): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20161019T092159/tmp-2.16.840.1.113883.10.20.6.2.6-2014-03-24T000000.html"
              test="count(hl7:entryRelationship[hl7:act[hl7:code[@code='113015']]][not(@nullFlavor)])&gt;=1">(StudyAct): Element hl7:entryRelationship[hl7:act[hl7:code[@code='113015']]][not(@nullFlavor)] ist mandatory [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.6
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.6']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.6']/hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.6']
Item: (StudyAct)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.6']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.6']/hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.6']"
         id="d121e41370-false-d404012e0">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20161019T092159/tmp-2.16.840.1.113883.10.20.6.2.6-2014-03-24T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(StudyAct): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20161019T092159/tmp-2.16.840.1.113883.10.20.6.2.6-2014-03-24T000000.html"
              test="string(@root)=('2.16.840.1.113883.10.20.6.2.6')">(StudyAct): Der Wert von @root MUSS '2.16.840.1.113883.10.20.6.2.6' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.6
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.6']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.6']/hl7:id
Item: (StudyAct)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.6']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.6']/hl7:id"
         id="d121e41378-false-d404030e0">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20161019T092159/tmp-2.16.840.1.113883.10.20.6.2.6-2014-03-24T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(StudyAct): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20161019T092159/tmp-2.16.840.1.113883.10.20.6.2.6-2014-03-24T000000.html"
              test="@root">(StudyAct): Attribut @root MUSS vorkommen.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20161019T092159/tmp-2.16.840.1.113883.10.20.6.2.6-2014-03-24T000000.html"
              test="not(@extension)">(StudyAct): Attribut @extension DARF NICHT vorkommen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.6
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.6']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.6']/hl7:code[(@code='113014' and @codeSystem='1.2.840.10008.2.16.4')][not(@nullFlavor)]
Item: (StudyAct)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.6']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.6']/hl7:code[(@code='113014' and @codeSystem='1.2.840.10008.2.16.4')][not(@nullFlavor)]"
         id="d121e41387-false-d404052e0">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20161019T092159/tmp-2.16.840.1.113883.10.20.6.2.6-2014-03-24T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(StudyAct): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20161019T092159/tmp-2.16.840.1.113883.10.20.6.2.6-2014-03-24T000000.html"
              test="@nullFlavor or (@code='113014' and @codeSystem='1.2.840.10008.2.16.4' and @displayName='DICOM Study' and @codeSystemName='DCM')">(StudyAct): Der Elementinhalt MUSS einer von 'code '113014' codeSystem '1.2.840.10008.2.16.4' displayName='DICOM Study' codeSystemName='DCM'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.6
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.6']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.6']/hl7:text
Item: (StudyAct)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.6']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.6']/hl7:text"
         id="d121e41394-false-d404072e0">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20161019T092159/tmp-2.16.840.1.113883.10.20.6.2.6-2014-03-24T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(StudyAct): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.6
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.6']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.6']/hl7:effectiveTime
Item: (StudyAct)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.6']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.6']/hl7:effectiveTime"
         id="d121e41399-false-d404086e0">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20161019T092159/tmp-2.16.840.1.113883.10.20.6.2.6-2014-03-24T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(StudyAct): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20161019T092159/tmp-2.16.840.1.113883.10.20.6.2.6-2014-03-24T000000.html"
              test="not(*)">(StudyAct): <value-of select="local-name()"/> with datatype TS, SHOULD NOT have child elements.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.6
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.6']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.6']/hl7:entryRelationship[hl7:act[hl7:code[@code='113015']]][not(@nullFlavor)]
Item: (StudyAct)
-->

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30031
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.6']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.6']/hl7:entryRelationship[hl7:act[hl7:code[@code='113015']]][not(@nullFlavor)]
Item: (SeriesAct)
-->

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30031
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.6']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.6']/hl7:entryRelationship[hl7:act[hl7:code[@code='113015']]][not(@nullFlavor)]/hl7:act[hl7:code[(@code='113015' and @codeSystem='1.2.840.10008.2.16.4')][not(@nullFlavor)]]
Item: (SeriesAct)
-->
   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.6']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.6']/hl7:entryRelationship[hl7:act[hl7:code[@code='113015']]][not(@nullFlavor)]/hl7:act[hl7:code[(@code='113015' and @codeSystem='1.2.840.10008.2.16.4')][not(@nullFlavor)]]">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20161019T092159/tmp-1.2.40.0.34.11.30031-2012-01-12T000000.html"
              test="string(@classCode)=('ACT')">(SeriesAct): Der Wert von @classCode MUSS 'ACT' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20161019T092159/tmp-1.2.40.0.34.11.30031-2012-01-12T000000.html"
              test="string(@moodCode)=('EVN')">(SeriesAct): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20161019T092159/tmp-1.2.40.0.34.11.30031-2012-01-12T000000.html"
              test="count(hl7:id)&gt;=1">(SeriesAct): Element hl7:id ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20161019T092159/tmp-1.2.40.0.34.11.30031-2012-01-12T000000.html"
              test="count(hl7:id)&lt;=1">(SeriesAct): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20161019T092159/tmp-1.2.40.0.34.11.30031-2012-01-12T000000.html"
              test="count(hl7:code[(@code='113015' and @codeSystem='1.2.840.10008.2.16.4')][not(@nullFlavor)])&gt;=1">(SeriesAct): Element hl7:code[(@code='113015' and @codeSystem='1.2.840.10008.2.16.4')][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20161019T092159/tmp-1.2.40.0.34.11.30031-2012-01-12T000000.html"
              test="count(hl7:code[(@code='113015' and @codeSystem='1.2.840.10008.2.16.4')][not(@nullFlavor)])&lt;=1">(SeriesAct): Element hl7:code[(@code='113015' and @codeSystem='1.2.840.10008.2.16.4')][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20161019T092159/tmp-1.2.40.0.34.11.30031-2012-01-12T000000.html"
              test="count(hl7:text)&lt;=1">(SeriesAct): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20161019T092159/tmp-1.2.40.0.34.11.30031-2012-01-12T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(SeriesAct): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20161019T092159/tmp-1.2.40.0.34.11.30031-2012-01-12T000000.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.8']])&gt;=1">(SeriesAct): Element hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.8']] ist mandatory [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30031
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.6']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.6']/hl7:entryRelationship[hl7:act[hl7:code[@code='113015']]][not(@nullFlavor)]/hl7:act[hl7:code[(@code='113015' and @codeSystem='1.2.840.10008.2.16.4')][not(@nullFlavor)]]/hl7:id
Item: (SeriesAct)
-->
   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.6']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.6']/hl7:entryRelationship[hl7:act[hl7:code[@code='113015']]][not(@nullFlavor)]/hl7:act[hl7:code[(@code='113015' and @codeSystem='1.2.840.10008.2.16.4')][not(@nullFlavor)]]/hl7:id">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20161019T092159/tmp-1.2.40.0.34.11.30031-2012-01-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(SeriesAct): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20161019T092159/tmp-1.2.40.0.34.11.30031-2012-01-12T000000.html"
              test="@root">(SeriesAct): Attribut @root MUSS vorkommen.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20161019T092159/tmp-1.2.40.0.34.11.30031-2012-01-12T000000.html"
              test="not(@extension)">(SeriesAct): Attribut @extension DARF NICHT vorkommen.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30031
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.6']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.6']/hl7:entryRelationship[hl7:act[hl7:code[@code='113015']]][not(@nullFlavor)]/hl7:act[hl7:code[(@code='113015' and @codeSystem='1.2.840.10008.2.16.4')][not(@nullFlavor)]]/hl7:code[(@code='113015' and @codeSystem='1.2.840.10008.2.16.4')][not(@nullFlavor)]
Item: (SeriesAct)
-->
   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.6']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.6']/hl7:entryRelationship[hl7:act[hl7:code[@code='113015']]][not(@nullFlavor)]/hl7:act[hl7:code[(@code='113015' and @codeSystem='1.2.840.10008.2.16.4')][not(@nullFlavor)]]/hl7:code[(@code='113015' and @codeSystem='1.2.840.10008.2.16.4')][not(@nullFlavor)]">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20161019T092159/tmp-1.2.40.0.34.11.30031-2012-01-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(SeriesAct): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20161019T092159/tmp-1.2.40.0.34.11.30031-2012-01-12T000000.html"
              test="@nullFlavor or (@code='113015' and @codeSystem='1.2.840.10008.2.16.4' and @displayName='DICOM Series' and @codeSystemName='DCM')">(SeriesAct): Der Elementinhalt MUSS einer von 'code '113015' codeSystem '1.2.840.10008.2.16.4' displayName='DICOM Series' codeSystemName='DCM'' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20161019T092159/tmp-1.2.40.0.34.11.30031-2012-01-12T000000.html"
              test="count(hl7:qualifier[not(@nullFlavor)])&gt;=1">(SeriesAct): Element hl7:qualifier[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20161019T092159/tmp-1.2.40.0.34.11.30031-2012-01-12T000000.html"
              test="count(hl7:qualifier[not(@nullFlavor)])&lt;=1">(SeriesAct): Element hl7:qualifier[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30031
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.6']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.6']/hl7:entryRelationship[hl7:act[hl7:code[@code='113015']]][not(@nullFlavor)]/hl7:act[hl7:code[(@code='113015' and @codeSystem='1.2.840.10008.2.16.4')][not(@nullFlavor)]]/hl7:code[(@code='113015' and @codeSystem='1.2.840.10008.2.16.4')][not(@nullFlavor)]/hl7:qualifier[not(@nullFlavor)]
Item: (SeriesAct)
-->
   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.6']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.6']/hl7:entryRelationship[hl7:act[hl7:code[@code='113015']]][not(@nullFlavor)]/hl7:act[hl7:code[(@code='113015' and @codeSystem='1.2.840.10008.2.16.4')][not(@nullFlavor)]]/hl7:code[(@code='113015' and @codeSystem='1.2.840.10008.2.16.4')][not(@nullFlavor)]/hl7:qualifier[not(@nullFlavor)]">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20161019T092159/tmp-1.2.40.0.34.11.30031-2012-01-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CR' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(SeriesAct): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CR" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CR"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20161019T092159/tmp-1.2.40.0.34.11.30031-2012-01-12T000000.html"
              test="count(hl7:name[(@code='121139' and @codeSystem='1.2.840.10008.2.16.4')][not(@nullFlavor)])&gt;=1">(SeriesAct): Element hl7:name[(@code='121139' and @codeSystem='1.2.840.10008.2.16.4')][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20161019T092159/tmp-1.2.40.0.34.11.30031-2012-01-12T000000.html"
              test="count(hl7:name[(@code='121139' and @codeSystem='1.2.840.10008.2.16.4')][not(@nullFlavor)])&lt;=1">(SeriesAct): Element hl7:name[(@code='121139' and @codeSystem='1.2.840.10008.2.16.4')][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20161019T092159/tmp-1.2.40.0.34.11.30031-2012-01-12T000000.html"
              test="count(hl7:value[@codeSystem='1.2.840.10008.2.16.4'][not(@nullFlavor)])&gt;=1">(SeriesAct): Element hl7:value[@codeSystem='1.2.840.10008.2.16.4'][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20161019T092159/tmp-1.2.40.0.34.11.30031-2012-01-12T000000.html"
              test="count(hl7:value[@codeSystem='1.2.840.10008.2.16.4'][not(@nullFlavor)])&lt;=1">(SeriesAct): Element hl7:value[@codeSystem='1.2.840.10008.2.16.4'][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30031
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.6']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.6']/hl7:entryRelationship[hl7:act[hl7:code[@code='113015']]][not(@nullFlavor)]/hl7:act[hl7:code[(@code='113015' and @codeSystem='1.2.840.10008.2.16.4')][not(@nullFlavor)]]/hl7:code[(@code='113015' and @codeSystem='1.2.840.10008.2.16.4')][not(@nullFlavor)]/hl7:qualifier[not(@nullFlavor)]/hl7:name[(@code='121139' and @codeSystem='1.2.840.10008.2.16.4')][not(@nullFlavor)]
Item: (SeriesAct)
-->
   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.6']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.6']/hl7:entryRelationship[hl7:act[hl7:code[@code='113015']]][not(@nullFlavor)]/hl7:act[hl7:code[(@code='113015' and @codeSystem='1.2.840.10008.2.16.4')][not(@nullFlavor)]]/hl7:code[(@code='113015' and @codeSystem='1.2.840.10008.2.16.4')][not(@nullFlavor)]/hl7:qualifier[not(@nullFlavor)]/hl7:name[(@code='121139' and @codeSystem='1.2.840.10008.2.16.4')][not(@nullFlavor)]">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20161019T092159/tmp-1.2.40.0.34.11.30031-2012-01-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(SeriesAct): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20161019T092159/tmp-1.2.40.0.34.11.30031-2012-01-12T000000.html"
              test="@nullFlavor or (@code='121139' and @codeSystem='1.2.840.10008.2.16.4' and @displayName='Modality' and @codeSystemName='DCM')">(SeriesAct): Der Elementinhalt MUSS einer von 'code '121139' codeSystem '1.2.840.10008.2.16.4' displayName='Modality' codeSystemName='DCM'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30031
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.6']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.6']/hl7:entryRelationship[hl7:act[hl7:code[@code='113015']]][not(@nullFlavor)]/hl7:act[hl7:code[(@code='113015' and @codeSystem='1.2.840.10008.2.16.4')][not(@nullFlavor)]]/hl7:code[(@code='113015' and @codeSystem='1.2.840.10008.2.16.4')][not(@nullFlavor)]/hl7:qualifier[not(@nullFlavor)]/hl7:value[@codeSystem='1.2.840.10008.2.16.4'][not(@nullFlavor)]
Item: (SeriesAct)
-->
   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.6']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.6']/hl7:entryRelationship[hl7:act[hl7:code[@code='113015']]][not(@nullFlavor)]/hl7:act[hl7:code[(@code='113015' and @codeSystem='1.2.840.10008.2.16.4')][not(@nullFlavor)]]/hl7:code[(@code='113015' and @codeSystem='1.2.840.10008.2.16.4')][not(@nullFlavor)]/hl7:qualifier[not(@nullFlavor)]/hl7:value[@codeSystem='1.2.840.10008.2.16.4'][not(@nullFlavor)]">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20161019T092159/tmp-1.2.40.0.34.11.30031-2012-01-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(SeriesAct): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20161019T092159/tmp-1.2.40.0.34.11.30031-2012-01-12T000000.html"
              test="@nullFlavor or (@codeSystem='1.2.840.10008.2.16.4')">(SeriesAct): Der Elementinhalt MUSS einer von 'codeSystem '1.2.840.10008.2.16.4'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30031
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.6']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.6']/hl7:entryRelationship[hl7:act[hl7:code[@code='113015']]][not(@nullFlavor)]/hl7:act[hl7:code[(@code='113015' and @codeSystem='1.2.840.10008.2.16.4')][not(@nullFlavor)]]/hl7:text
Item: (SeriesAct)
-->
   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.6']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.6']/hl7:entryRelationship[hl7:act[hl7:code[@code='113015']]][not(@nullFlavor)]/hl7:act[hl7:code[(@code='113015' and @codeSystem='1.2.840.10008.2.16.4')][not(@nullFlavor)]]/hl7:text">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20161019T092159/tmp-1.2.40.0.34.11.30031-2012-01-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(SeriesAct): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30031
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.6']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.6']/hl7:entryRelationship[hl7:act[hl7:code[@code='113015']]][not(@nullFlavor)]/hl7:act[hl7:code[(@code='113015' and @codeSystem='1.2.840.10008.2.16.4')][not(@nullFlavor)]]/hl7:effectiveTime
Item: (SeriesAct)
-->
   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.6']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.6']/hl7:entryRelationship[hl7:act[hl7:code[@code='113015']]][not(@nullFlavor)]/hl7:act[hl7:code[(@code='113015' and @codeSystem='1.2.840.10008.2.16.4')][not(@nullFlavor)]]/hl7:effectiveTime">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20161019T092159/tmp-1.2.40.0.34.11.30031-2012-01-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(SeriesAct): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30031
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.6']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.6']/hl7:entryRelationship[hl7:act[hl7:code[@code='113015']]][not(@nullFlavor)]/hl7:act[hl7:code[(@code='113015' and @codeSystem='1.2.840.10008.2.16.4')][not(@nullFlavor)]]/hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.8']]
Item: (SeriesAct)
-->
   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.6']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.6']/hl7:entryRelationship[hl7:act[hl7:code[@code='113015']]][not(@nullFlavor)]/hl7:act[hl7:code[(@code='113015' and @codeSystem='1.2.840.10008.2.16.4')][not(@nullFlavor)]]/hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.8']]">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20161019T092159/tmp-1.2.40.0.34.11.30031-2012-01-12T000000.html"
              test="string(@typeCode)=('COMP')">(SeriesAct): Der Wert von @typeCode MUSS 'COMP' sein.</assert>
   </rule>
</pattern>
